# Uses of Interface
org.apache.solr.common.MapWriter.EntryWriter

Packages that use MapWriter.EntryWriter
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.request.beans
Annotated Data objects used in V2 Requests
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.
org.apache.solr.common.params
Parameter constants and enumerations.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of MapWriter.EntryWriter in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
SolrResponse.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
CollectionAdminRequest.`writeMap(MapWriter.EntryWriter ew)`
`void`
V2Request.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.client.solrj.request.beans

Methods in org.apache.solr.client.solrj.request.beans with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
PluginMeta.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
SolrResponseBase.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.common

Classes in org.apache.solr.common that implement MapWriter.EntryWriter
Modifier and Type
Class
Description
`static class`
`ConditionalKeyMapWriter.EntryWriterWrapper`
`static class`
`ConditionalMapWriter.EntryWriterWrapper`
Methods in org.apache.solr.common that return MapWriter.EntryWriter
Modifier and Type
Method
Description
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, boolean v)`
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, double v)`
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, float v)`
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, int v)`
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, long v)`
`MapWriter.EntryWriter`
ConditionalKeyMapWriter.EntryWriterWrapper.`put(CharSequence k, Object v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, boolean v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, double v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, float v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, int v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, long v)`
`MapWriter.EntryWriter`
ConditionalMapWriter.EntryWriterWrapper.`put(CharSequence k, Object v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, boolean v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, double v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, float v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, int v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, long v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, CharSequence v)`
This is an optimization to avoid the instanceof checks.
`MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, Object v)`
Writes a key value into the map
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`put(CharSequence k, Object v, BiPredicate<CharSequence,Object> p)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`putIfNotNull(CharSequence k, Object v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`putIfNotNull(CharSequence k, Supplier<Object> v)`
`default MapWriter.EntryWriter`
MapWriter.EntryWriter.`putNoEx(CharSequence k, Object v)`
Methods in org.apache.solr.common with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
ConditionalKeyMapWriter.`writeMap(MapWriter.EntryWriter ew)`
`void`
ConditionalMapWriter.`writeMap(MapWriter.EntryWriter ew)`
`void`
LinkedHashMapWriter.`writeMap(MapWriter.EntryWriter ew)`
`void`
MapWriter.`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.
`void`
MapWriterMap.`writeMap(MapWriter.EntryWriter ew)`
Deprecated.
`void`
SolrDocument.`writeMap(MapWriter.EntryWriter ew)`
`void`
SolrDocumentList.`writeMap(MapWriter.EntryWriter ew)`
`void`
SolrInputDocument.`writeMap(MapWriter.EntryWriter ew)`
Constructors in org.apache.solr.common with parameters of type MapWriter.EntryWriter
Modifier
Constructor
Description
``
`EntryWriterWrapper(MapWriter.EntryWriter delegate, Predicate<CharSequence> predicate)`
``
`EntryWriterWrapper(MapWriter.EntryWriter delegate, BiPredicate<CharSequence,Object> predicate)`

## Uses of MapWriter.EntryWriter in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
ClusterState.`writeMap(MapWriter.EntryWriter ew)`
`void`
DocCollection.`writeMap(MapWriter.EntryWriter ew)`
`void`
PerReplicaStates.State.`writeMap(MapWriter.EntryWriter ew)`
`void`
PerReplicaStates.`writeMap(MapWriter.EntryWriter ew)`
`void`
Replica.`writeMap(MapWriter.EntryWriter ew)`
`void`
ZkNodeProps.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.common.params

Methods in org.apache.solr.common.params with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`void`
SolrParams.`writeMap(MapWriter.EntryWriter ew)`

## Uses of MapWriter.EntryWriter in org.apache.solr.common.util

Classes in org.apache.solr.common.util that implement MapWriter.EntryWriter
Modifier and Type
Class
Description
`class`
`JavaBinCodec.BinEntryWriter`
Methods in org.apache.solr.common.util that return MapWriter.EntryWriter
Modifier and Type
Method
Description
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, boolean v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, double v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, float v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, int v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, long v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, CharSequence v)`
`MapWriter.EntryWriter`
JavaBinCodec.BinEntryWriter.`put(CharSequence k, Object v)`
Methods in org.apache.solr.common.util with parameters of type MapWriter.EntryWriter
Modifier and Type
Method
Description
`static void`
Utils.`reflectWrite(MapWriter.EntryWriter ew, Object o)`
Convert the input object to a map, writing only those fields annotated with a `JsonProperty` annotation
`static void`
Utils.`reflectWrite(MapWriter.EntryWriter ew, Object o, Predicate<Field> fieldFilterer, Class<? extends Annotation> catchAllAnnotation, Function<Field,String> fieldNamer)`
Convert an input object to a map, writing only those fields that match a provided `Predicate`
`void`
NamedList.`writeMap(MapWriter.EntryWriter ew)`
`void`
Pair.`writeMap(MapWriter.EntryWriter ew)`
`default void`
ReflectMapWriter.`writeMap(MapWriter.EntryWriter ew)`
`void`
Utils.DelegateReflectWriter.`writeMap(MapWriter.EntryWriter ew)`